{#
/**
* CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
* Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
*
* Licensed under The MIT License
* For full copyright and license information, please see the LICENSE.txt
* Redistributions of files must retain the above copyright notice.
*
* @copyright     Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
* @link          http://cakephp.org CakePHP(tm) Project
* @since         2.0.0
* @license       http://www.opensource.org/licenses/mit-license.php MIT License
*/
#}
{% set associations = {'BelongsTo': [], 'HasOne': [], 'HasMany': [], 'BelongsToMany': []}|merge(associations) %}
{% set fieldsData = Bake.getViewFieldsData(fields, schema, associations) %}
{% set associationFields = fieldsData.associationFields %}
{% set groupedFields = fieldsData.groupedFields %}
{% set pK = '$' ~ singularVar ~ '->' ~ primaryKey[0] %}
<div class="row">
    <div class="hide-on-large-only">
        <div class="fixed-action-btn click-to-toggle tooltipped" data-position="left" data-tooltip="<?= __('Actions') ?>">
            <a class="btn-floating btn-large red">
                <i class="large material-icons">dashboard</i>
            </a>
            <ul>
                <li>
                    <?= $this->Html->link('<i class="material-icons">mode_edit</i>',
                    ['action' => 'edit', {{ pK|raw }}],
                    ['class' => 'btn-floating green darken-4 tooltipped', 'data-position' => 'left', 'data-tooltip' =>  __('Edit {{ singularHumanName }}'), 'escape' => false]) ?>
                </li>
                <li>
                    <?= $this->Form->postLink('<i class="material-icons">delete</i>',
                    ['action' => 'delete', {{ pK|raw }}],
                    ['confirm' => __('Are you sure you want to delete # {0}?', {{ pK|raw }}),
                    'class' => 'btn-floating red tooltipped', 'data-position' => 'left', 'data-tooltip' =>  __('Delete {{ singularHumanName }}'), 'escape' => false]) ?>
                </li>
                <li>
                    <?= $this->Html->link('<i class="material-icons">list</i>',
                    ['action' => 'index'],
                    ['class' => 'btn-floating green tooltipped', 'data-position' => 'left', 'data-tooltip' =>  __('List {{ pluralHumanName }}'), 'escape' => false]) ?>
                </li>
                <li>
                    <?= $this->Html->link('<i class="material-icons">add</i>',
                    ['action' => 'add'],
                    ['class' => 'btn-floating blue tooltipped', 'data-position' => 'left', 'data-tooltip' =>  __('New {{ singularHumanName }}'), 'escape' => false]) ?>
                </li>
{% set done = [] %}
{% for type, data in associations %}
{% for alias, details in data %}
{% if details.controller is not same as(_view.name) and details.controller not in done %}
                <li>
                    <?= $this->Html->link('<i class="material-icons">list</i>',
                    ['controller' => '{{ details.controller }}', 'action' => 'index'],
                    ['class' => 'btn-floating orange lighten-1 tooltipped', 'data-position' => 'left', 'data-tooltip' =>  __('List {{ alias|underscore|humanize }}'), 'escape' => false]) ?>
                </li>
                <li>
                    <?= $this->Html->link('<i class="material-icons">add</i>',
                    ['controller' => '{{ details.controller }}', 'action' => 'add'],
                    ['class' => 'btn-floating orange lighten-1 tooltipped', 'data-position' => 'left', 'data-tooltip' =>  __('New {{ alias|underscore|singularize|humanize }}'), 'escape' => false]) ?>
                </li>
{% set done = done|merge(['controller']) %}
{% endif %}
{% endfor %}
{% endfor %}
            </ul>
        </div>
    </div>
{% set associations = {'BelongsTo': [], 'HasOne': [], 'HasMany': [], 'BelongsToMany': []}|merge(associations) %}
{% set fieldsData = Bake.getViewFieldsData(fields, schema, associations) %}
{% set associationFields = fieldsData.associationFields %}
{% set groupedFields = fieldsData.groupedFields %}
{% set pK = '$' ~ singularVar ~ '->' ~ primaryKey[0] %}
    <div class="col s12 m3 hide-on-med-and-down">
        <div class="card darken-1">
            <div class="card-content white-text">
                <span class="card-title green-text"><?= __('Actions') ?></span>
                <div class="card-action">
                    <li class="padding-action">
                        <?= $this->Form->postLink(__('Delete {{ singularHumanName }}'),
                        ['action' => 'delete', {{ pK|raw }}],
                        ['confirm' => __('Are you sure you want to delete # {0}?', {{ pK|raw }})]) ?>
                    </li>
                    <li class="padding-action">
                        <?= $this->Html->link(__('List {{ pluralHumanName }}'), ['action' => 'index']) ?>
                    </li>
                    <li class="padding-action">
                        <?= $this->Html->link(__('Edit {{ singularHumanName }}'), ['action' => 'edit', {{ pK|raw }}]) ?>
                    </li>
                    <li class="padding-action">
                        <?= $this->Html->link(__('New {{ singularHumanName }}'), ['action' => 'add']) ?>
                    </li>
{% set done = [] %}
{% for type, data in associations %}
{% for alias, details in data %}
{% if details.controller is not same as(_view.name) and details.controller not in done %}
                    <li class="padding-action">
                        <?= $this->Html->link(__('List {{ alias|underscore|humanize }}'), ['controller' => '{{ details.controller }}', 'action' => 'index']) ?>
                    </li>
                    <li class="padding-action">
                        <?= $this->Html->link(__('New {{ alias|underscore|singularize|humanize }}'), ['controller' => '{{ details.controller }}', 'action' => 'add']) ?>
                    </li>
{% set done = done|merge(['controller']) %}
{% endif %}
{% endfor %}
{% endfor %}
                </div>
            </div>
        </div>
    </div>
    <div class="col s12 m12 l9">
        <div class="card darken-1 col s12">
            <div class="card-content black-text">
                <span class="card-title green-text"><?= h(${{ singularVar }}->{{ displayField }}) ?></span>
                <table class="striped bordered">
                    <tbody>
{% if groupedFields['string'] %}
{% for field in groupedFields['string'] %}
{% if associationFields[field] %}
{% set details = associationFields[field] %}
                        <tr>
                            <td>
                                <?= __('{{ field|humanize }}') ?>
                            </td>
                            <td class="right">
                                <?= ${{ singularVar }}->has('{{ details.property }}') ? $this->Html->link(${{ singularVar }}->{{ details.property }}->{{ details.displayField }}, ['controller' => '{{ details.controller }}', 'action' => 'view', ${{ singularVar }}->{{ details.property }}->{{ details.primaryKey[0] }}]) : '' ?>
                            </td>
                        </tr>
{% else %}
                        <tr>
                            <td>
                                <?= __('{{ field|humanize }}') ?>
                            </td>
                            <td class="right">
                                <?= h(${{ singularVar }}->{{ field }}) ?>
                            </td>
                        </tr>
{% endif %}
{% endfor %}
{% endif %}
{% if associations.HasOne %}
{% for alias, details in associations.HasOne %}
                        <tr>
                            <td>
                                <?= __('{{ alias|underscore|singularize|humanize }}') ?>
                            </td>
                            <td class="right">
                                <?= ${{ singularVar }}->has('{{ details.property }}') ? $this->Html->link(${{ singularVar }}->{{ details.property }}->{{ details.displayField }}, ['controller' => '{{ details.controller }}', 'action' => 'view', ${{ singularVar }}->{{ details.property }}->{{ details.primaryKey[0] }}]) : '' ?>
                            </td>
                        </tr>
{% endfor %}
{% endif %}
{% if groupedFields.number %}
{% for field in groupedFields.number %}
                        <tr>
                            <td>
                                <?= __('{{ field|humanize }}') ?>
                            </td>
                            <td class="right">
                                <?= $this->Number->format(${{ singularVar }}->{{ field }}) ?>
                            </td>
                        </tr>
{% endfor %}
{% endif %}
{% if groupedFields.date %}
{% for field in groupedFields.date %}
                        <tr>
                            <td>
                                <?= __('{{ field|humanize }}') ?>
                            </td>
                            <td class="right">
                                <?= h(${{ singularVar }}->{{ field }}->format('d/m/Y H:i')) ?>
                            </td>
                        </tr>
{% endfor %}
{% endif %}
{% if groupedFields.boolean %}
{% for field in groupedFields.boolean %}
                        <tr>
                            <td>
                                <?= __('{{ field|humanize }}') ?>
                            </td>
                            <td class="right">
                                <?= ${{ singularVar }}->{{ field }} ? '<i class="material-icons" title="'. __("Yes") . '">check</i>'  : '<i class="material-icons" title="'. __("No") . '">close</i>'; ?>
                            </td>
                        </tr>
{% endfor %}
{% endif %}
{% if groupedFields.text %}
{% for field in groupedFields.text %}
                        <tr>
                            <td>
                                <?= __('{{ field|humanize }}') ?>
                            </td>
                            <td class="right">
                                <?= $this->Text->autoParagraph(h(${{ singularVar }}->{{ field }})); ?>
                            </td>
                        </tr>
{% endfor %}
{% endif %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
